Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598902 - Review Request: pxz - Parallel LZMA compressor compatible with XZ
Review Request: pxz - Parallel LZMA compressor compatible with XZ
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 06:14 EDT by Jindrich Novy
Modified: 2013-07-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 04:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2010-06-02 06:14:14 EDT
Spec URL: http://jnovy.fedorapeople.org/pxz/pxz.spec
SRPM URL: http://jnovy.fedorapeople.org/pxz/pxz-4.999.9-0.1.beta.20100602git.fc13.src.rpm
Description: 
Parallel XZ is a compression utility that takes advantage of running
XZ compression simultaneously on different parts of an input file on
multiple cores and processors. This significantly speeds up compression time.
Comment 1 Susi Lehtola 2010-06-03 08:20:27 EDT
Assigning.
Comment 2 Susi Lehtola 2010-06-03 08:28:58 EDT
rpmlint output:
pxz.x86_64: W: incoherent-version-in-changelog 4.999.9-0.1.20100526.beta ['4.999.9-0.1.beta.20100602git.fc13', '4.999.9-0.1.beta.20100602git']
pxz.x86_64: W: no-manual-page-for-binary pxz
pxz-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 1 errors, 2 warnings.

The error is caused by optflags not being used:

gcc -Wall -Wshadow -Wcast-align -Winline -Wextra -Wmissing-noreturn  -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -DPXZ_BUILD_DATE=\"`date +%Y%m%d`\" -DPXZ_VERSION=\"4.999.9beta\" -O2 -fopenmp -llzma pxz.c -o pxz

Change
 CFLAGS="%{optflags}"
to
 export CFLAGS="%{optflags}"
and it works.

However, I recommend patching out
 CFLAGS+=-O2 -fopenmp
from the makefile, and using
 export CFLAGS="%{optflags} -fopenmp"
instead.


The man page warning can be omitted. Although, I see you are also upstream, so I'd recommend you create a man page.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. NEEDSWORK
- License is GPLv2+, not LGPLv2+. 

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A

MUST: Optflags are used and time stamps preserved. NEEDSWORK
- See above.

MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK

MUST: Debuginfo package is complete. NEEDSWORK
- See above.

MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 3 Jindrich Novy 2010-06-03 10:52:44 EDT
Thanks! All of the mentioned fixes should be addressed now.

http://jnovy.fedorapeople.org/pxz/pxz.spec
http://jnovy.fedorapeople.org/pxz/pxz-4.999.9-0.1.beta.20100603git.fc13.src.rpm
Comment 4 Susi Lehtola 2010-06-03 14:49:18 EDT
This is a package review, not a merge review ;)


$ rpmlint pxz-*
pxz.x86_64: W: incoherent-version-in-changelog 4.999.9-0.1.20100603.beta ['4.999.9-0.1.beta.20100603git.fc13', '4.999.9-0.1.beta.20100603git']
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

so the change log EVR entries should be of the style
 4.999.9-0.1.beta.20100603git
not
 4.999.9-0.1.20100603.beta


- I abhor wildcards where they are not needed. Please change
 %{_mandir}/man1/*.1*
to
 %{_mandir}/man1/pxz.1*

- Please change URL to
 http://jnovy.fedorapeople.org/pxz
as that's a *lot* easier to paste from the spec file.


Otherwise, my earlier comments seem to have been taken into account. One final comment: now the compilation does not use the "-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE" flags. Are these not necessary on Fedora?


The final changes are cosmetic, so you can consider this package

APPROVED
Comment 5 Jindrich Novy 2010-06-06 01:54:01 EDT
New Package CVS Request
=======================
Package Name: pxz
Short Description: Parallel LZMA compressor using XZ
Owners: jnovy
Branches: F-12 F-13 EL-6 
InitialCC:
Comment 6 Kevin Fenzi 2010-06-07 17:08:23 EDT
CVS done (by process-cvs-requests.py).

Can you fix the summary to say pxz, and not PXZ? 
It causes a warning from our tools.
Comment 7 Jindrich Novy 2010-06-08 01:30:01 EDT
Done, thanks.
Comment 8 Jindrich Novy 2010-06-08 04:32:34 EDT
Jussi, Kevin, thanks for cooperation :)

Note You need to log in before you can comment on or make changes to this bug.